commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "bidorbuy (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DAEMON-354) DMESG reports: warning: `jsvc' uses 32-bit capabilities (legacy support in use)
Date Mon, 08 May 2017 06:18:04 GMT

    [ https://issues.apache.org/jira/browse/DAEMON-354?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16000316#comment-16000316
] 

bidorbuy commented on DAEMON-354:
---------------------------------

[~nicoulaj]: How is this done? On CentOS Linux release 7.3.1611 I do not see libcap2 via yum
and only libcap:

{code}
libcap-devel.i686 : Development files for libcap
libcap-devel.x86_64 : Development files for libcap
libcap-ng-devel.i686 : Header files for libcap-ng library
libcap-ng-devel.x86_64 : Header files for libcap-ng library
libcap-ng-python.x86_64 : Python bindings for libcap-ng library
compat-libcap1.i686 : Library for getting and setting POSIX.1e capabilities
compat-libcap1.x86_64 : Library for getting and setting POSIX.1e capabilities
libcap.i686 : Library for getting and setting POSIX.1e capabilities
libcap.x86_64 : Library for getting and setting POSIX.1e capabilities
libcap-ng.i686 : An alternate posix capabilities library
libcap-ng.x86_64 : An alternate posix capabilities library
libcap-ng-utils.x86_64 : Utilities for analyzing and setting file capabilities
{code}

> DMESG reports: warning: `jsvc' uses 32-bit capabilities (legacy support in use)
> -------------------------------------------------------------------------------
>
>                 Key: DAEMON-354
>                 URL: https://issues.apache.org/jira/browse/DAEMON-354
>             Project: Commons Daemon
>          Issue Type: Bug
>          Components: Jsvc
>    Affects Versions: 1.0.15
>         Environment: {code}
> Server version: Apache Tomcat/8.0.36
> Server built:   Jun 9 2016 13:55:50 UTC
> Server number:  8.0.36.0
> OS Name:        Linux
> OS Version:     3.10.0-327.28.3.el7.x86_64
> Architecture:   amd64
> JVM Version:    1.8.0_102-b14
> JVM Vendor:     Oracle Corporation
> {code}
>            Reporter: bidorbuy
>            Priority: Minor
>
> Dmesg on CentOS7 displays the following warning:
> {code}
> [   22.742524] warning: `jsvc' uses 32-bit capabilities (legacy support in use)
> {code}
> To reproduce we run the following on CentOS 7:
> 1) Install Tomcat 8.0.36
> {code}
> wget -O /tmp/tomcat8.tgz http://apache.saix.net/tomcat/tomcat-8/v8.0.36/bin/apache-tomcat-8.0.36.tar.gz
>  
> cd /tmp
> tar -zxvf /tmp/tomcat8.tgz
> mkdir /usr/share/tomcat8
> mv /tmp/apache-tomcat-8.0.36/* /usr/share/tomcat8
> {code}
> 2) Compile native library
> {code}
> yum install apr-devel gcc make zlib-devel
>  
> tar -xvzf /usr/share/tomcat8/bin/tomcat-native.tar.gz -C /tmp
> cd /tmp/tomcat-native-1.2.7-src/native/
> ./configure --with-apr=/usr/bin/apr-1-config --with-java-home=/usr/java/default/ --with-ssl=no
--prefix=/usr/share/tomcat8
> make
> make install
> {code}
> 3) Compile jsvc
> {code}
> ## Extract and compile from source:
> tar -xvf /usr/share/tomcat8/bin/commons-daemon-native.tar.gz -C /tmp/
> cd /tmp/commons-daemon-*-native-src/unix
> ./configure --with-java=/usr/java/latest
> make
>  
> ## Adjust permissions/ownership and move the executable into place
> chmod a+x jsvc
> mv jsvc /usr/share/tomcat8/bin/
>  
>  
> ## Test that the compiled version works
> /usr/share/tomcat8/bin/jsvc --help
> {code}
> Tomcat 8.0.36 ships with DAEMON 1.0.15. I am not sure if the above compile settings are
wrong or we are missing something?



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message